import { GdsFormControlElement } from '../../form/form-control';
import type { GdsCheckbox } from '../checkbox.component';
declare class CheckboxGroup extends GdsFormControlElement<string[]> {
    #private;
    static styles: import("lit").CSSResult[];
    /**
     * Controls the font-size of label and supporting text on group form control header and single checkbox buttons respectively.
     */
    size: 'large' | 'small';
    /**
     * The direction in which checkbox buttons are displayed.
     */
    direction: 'row' | 'column';
    /**
     * The supporting text displayed between the label and the field.
     * This text provides additional context or information to the user.
     */
    supportingText: string;
    /**
     * Whether the supporting text should be displayed or not.
     */
    showExtendedSupportingText: boolean;
    get value(): string[];
    set value(value: string[]);
    /**
     * Returns an array of `<gds-checkbox>` elements in the checkbox group.
     *
     * @readonly
     */
    get checkboxes(): GdsCheckbox[];
    protected _getValidityAnchor(): HTMLElement;
    private _handleValueChange;
    focus(): void;
    connectedCallback(): void;
    render(): any;
    private _syncOnDOMChange;
}
declare const GdsCheckboxGroup_base: (new (...args: any[]) => import("../../../utils/mixins/declarative-layout-mixins").LayoutChildProps) & (new (...args: any[]) => import("../../../utils/mixins/declarative-layout-mixins").MarginProps) & (new (...args: any[]) => import("../../../utils/mixins/declarative-layout-mixins").SizeXProps) & typeof CheckboxGroup;
/**
 * @summary A form control component for grouping checkbox buttons.
 * @status beta
 *
 * @element gds-checkbox-group
 *
 */
export declare class GdsCheckboxGroup extends GdsCheckboxGroup_base {
}
export {};
