import { GdsFormControlElement } from '../form/form-control';
/**
 * @element gds-checkbox
 * @status beta
 *
 * @event input - Dispatched when the checkbox is checked or unchecked.
 * @event change - Dispatched when the checkbox is checked or unchecked.
 */
export declare class GdsCheckbox extends GdsFormControlElement {
    #private;
    static styles: (import("lit").CSSResult | import("lit").CSSResult[])[];
    /**
     * The label displayed next to the checkbox button.
     */
    label: string;
    /**
     * The supporting text displayed below the label.
     * This text provides additional context or information to the user.
     */
    supportingText: string;
    /**
     * Whether the checkbox button is checked or not.
     */
    checked: boolean;
    /**
     * Indicates the indeterminate state of the checkbox.
     * This state is used when the checkbox represents a group where some but not all
     * child options are selected, such as in hierarchical selections or "select all" scenarios.
     */
    indeterminate: boolean;
    /**
     * Whether the checkbox button is disabled or not.
     */
    disabled: boolean;
    get value(): string;
    set value(value: string);
    private _elCheckbox;
    connectedCallback(): void;
    private _updateAriaState;
    private _handleIndeterminateChange;
    protected updated(changedProperties: Map<string, unknown>): void;
    render(): any;
    protected _getValidityAnchor(): HTMLElement;
    protected formResetCallback(): void;
}
