import "./chunks/chunk.QTSIPXV3.js";
import { css, unsafeCSS } from "lit";
import base from "./tokens/variables.css.js";
import colorsDark from "./tokens/variables.dark.css.js";
import colorsLight from "./tokens/variables.light.css.js";
import { GlobalStylesRegistry } from "./utils/global-styles.js";
const tokens = [
  css`
    :host {
      ${unsafeCSS(base)}
    }
  `
];
GlobalStylesRegistry.instance.injectGlobalStyles(
  "root-tokens",
  css`
    :root,
    :root[gds-theme='light'] {
      ${unsafeCSS(base)}
      ${unsafeCSS(colorsLight)}
    }
    :root[gds-theme='dark'] {
      ${unsafeCSS(colorsDark)}
    }
  `
);
export {
  colorsDark,
  colorsLight,
  tokens
};
